Unacceptable TLS-certificate with pamac on every possible mirror

Pamac-aur 9.5.12-1 GUI can’t update and/or sync the database
Pamac-cli update --force-refresh shows that every mirror denies the TLS-certificate like:


https://archlinux.mailtunnel.eu/core/os/x86_64/core.db: Unacceptable TLS-certificate
https://mirror.linux.pizza/endeavouros/repo/endeavouros/x86_64/endeavouros.db: Unacceptable TLS-certificate
etc

Pacman -Suy and yay -Suy work flawless

Hi @FrankK,

I’m very unsure but maybe posting the output of ls -l /etc/ssl/certs may help someone help you.

It produces a list of 1376 lines from:

lrwxrwxrwx 1 root root 64 nov 18 13:13 00673b5b.0 -> …/…/ca-certificates/extracted/cadir/thawte_Primary_Root_CA.pem

to

lrwxrwxrwx 1 root root 62 nov 18 13:13 XRamp_Global_CA_Root.pem -> …/…/ca-certificates/extracted/cadir/XRamp_Global_CA_Root.pem

I’v uploaded a textfile to my domain: certificates.txt

I’v uploaded a textfile to my domain: certificates.txt

I think your going to have to wait for someone who can help you.

Have you tried googling your issue?

Yes, I did.
The results of that refer only to a single certificate.

The troubled package(s) is “pamac-aur” (or pamac-aur-git) Gui and cli,
My system is kept up-to-date by pacman and/or yay.

Yes. Have you tried rebuilding it as per the post I linked to?

Yes I did.
I built pamac-aur-git-9.5.12.r0.g96fe5ad-1-x86_64.pkg.tar.zst (without flatpak, snap) and the pamac-GUI started syncing the database!
Not so in de cli (still the TLS error), I tried a reboot and now the pamac-GUI will not sync again.

1 Like

is that a typo it should be sudo pacman -Syu and just yay

Those links don’t work so i would say it’s a mirror issue.

That’s probably because Discourse is picking up the final : as part of the URL.

I can load these sites manually in a browser, and given they’re also OK with pacman it looks to be an issue specifically with Pamac.

I’d check the issue tracker first for any similar reports, then run Pamac in a terminal and see what (if any) output it provides.

OK, so are both tools from the same package?

I can’t they fail! Just saying.

Edit: Are you doing something different than i am?

Try this link instead: https://archlinux.mailtunnel.eu/core/os/x86_64/

1 Like

So it’s not getting to the db?

You’re clicking on

https://archlinux.mailtunnel.eu/core/os/x86_64/core.db:

Note the trailing : on the URL; that is the wrong URL for the database. The correct URL is

https://archlinux.mailtunnel.eu/core/os/x86_64/core.db

However, this is not the issue that @FrankK is having.

Okay i was sure i tried it this way. :thinking: Anyway i see it works like you say.

https://archlinux.mailtunnel.eu/core/os/x86_64/core.db
1 Like